const e = (o, t) => {
  if (o.install = (n) => {
    for (const c of [o, ...Object.values(t ?? {})])
      n.component(c.name, c);
  }, t)
    for (const [n, c] of Object.entries(t))
      o[n] = c;
  return o;
};
export {
  e as withInstall
};
